【活用ガイド】

[English]

JVNDB-2014-000095

Shutter における SQL インジェクションの脆弱性

概要

tenfourzero が提供する Shutter は、写真共有ウェブパッケージです。Shutter の lib/admin.php には、SQL インジェクションの脆弱性が存在します。

この脆弱性情報は、情報セキュリティ早期警戒パートナーシップに基づき次の方が IPA に報告し、JPCERT/CC が開発者との調整を行いました。
報告者: bogus.jp 東内 裕二 氏

CVSS による深刻度 (CVSS とは?)

基本値: 5.1 (警告) [IPA値]
  • 攻撃元区分: ネットワーク
  • 攻撃条件の複雑さ: 高
  • 攻撃前の認証要否: 不要
  • 機密性への影響(C): 部分的
  • 完全性への影響(I): 部分的
  • 可用性への影響(A): 部分的

影響を受けるシステム


tenfourzero
  • Shutter v0.1.4

それ以外のバージョンも影響を受ける可能性があります。
想定される影響

管理者が当該製品にログインした状態で悪意あるページを読み込んだ場合、任意の SQL コマンドを実行される可能性があります。
対策

[使用を停止する]
開発者の情報によると、Shutter の開発および保守は終了しており、ソフトウエアをアンインストールすることが推奨されています。
ベンダ情報

tenfourzero
CWEによる脆弱性タイプ一覧  CWEとは?

  1. SQLインジェクション(CWE-89) [IPA評価]
共通脆弱性識別子(CVE)  CVEとは?

  1. CVE-2014-3904
参考情報

  1. JVN : JVN#48039501
  2. National Vulnerability Database (NVD) : CVE-2014-3904
更新履歴

[2014年08月15日]
  掲載
[2014年08月19日]
  参考情報:National Vulnerability Database (NVD) (CVE-2014-3904) を追加
[2015年01月15日]
  想定される影響:内容を更新